import { defineEventHandler } from "h3";

import { orderExists, getImportedProducts } from "../[id].get";

import { createError } from "#imports";

export default defineEventHandler(async (e) => {
  const id = e.context.params?.id as string;

  if (!orderExists(id)) throw createError({ statusCode: 404 });

  const importedProducts = await getImportedProducts(id);
  return importedProducts;
});
