import { defineEventHandler } from "h3";

import { type ResultSetHeader } from "mysql2";
import { orderExists } from "../../[id].get";
import { database } from "~/server/utils/database";

import { createError } from "#imports";

export default defineEventHandler(async (e) => {
  const idOrder = e.context.params?.id as string;
  const idWork = e.context.params?.idWork as string;

  if (!orderExists(idOrder)) throw createError({ statusCode: 404 });

  const [response] = await database.query(
    "DELETE FROM `work` WHERE `id` = ?",
    [idWork],
  ) as unknown as [ResultSetHeader];

  if (response.affectedRows === 0) throw createError({ statusCode: 404 });
  return null;
});
